Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.billboard
Class GridBillboarder

    java.lang.Object
      de.grogra.billboard.Billboarder
          de.grogra.billboard.GridBillboarder

Direct Known Subclasses:
  VRMLGridBuilder

    public class GridBillboarder

extends Billboarder

This Billboarder render the object slice by slice from the back to the front. After that the camera will rotate 90� to the left and render slice by slice again. And so on, until four sides are rendered. From the top of view, it seems like a grid.

Author:
  adgen

Field Summary
`Point3d` | `max`
`Point3d` | `min`
`protected int` | `steps`

Fields inherited from class de.grogra.billboard.Billboarder
`angleOffset, appendfix, camera, countZero, currentSide, file, imageFolder, imgHeight, imgWidth, mt, MT_EXR, MT_JPG, MT_PJPG, MT_PNG, MT_X_EXR, pathAndFileName, prefix, RotationAngle, rotationPoint, sides, suffix, view3d`

Constructor Summary
`GridBillboarder(java.io.File file, MimeType mt)`

Method Summary
`void` | `beginAt(int side, int step)`
`void` | `billboarding()` This method rendered each side of an object given in the view.
`void` | `griding(int step)`
`void` | `initialize(double distance, double zOfsset, boolean fourSides, int steps)` Sets the camera on initial position.
`void` | `makeAllNames()`
`protected void` | `makeNames(int stopSide, int stopStep)`
`void` | `setLayer(int visible, int invisible)` Defined which layer is for the visible and which for the invisible objects.
`protected void` | `setRunLater()` When a Billboard-Render-Thread is finished, the implementation of this method will be executed later.

Methods inherited from class de.grogra.billboard.Billboarder
`angleOffset, beginAt, finalAction, getBBName, getLeadingZeros, graph, initialize, insertName, justRenderView, location, nextSide, nextSide, setDestination, transformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### max

    public Point3d max

### min

    public Point3d min

### steps

    protected int steps

Constructor Detail

### GridBillboarder

    public GridBillboarder(java.io.File file,
                           MimeType mt)

Method Detail

### beginAt

    public void beginAt(int side,
                        int step)

### billboarding

    public void billboarding()

  Description copied from class: `Billboarder`
  This method rendered each side of an object given in the view. The number of sides was set by invoke the initialize - method. After a render-step the camera will rotate and it will be start the next render-step.

  Overrides:
    `billboarding` in class `Billboarder`

### griding

    public void griding(int step)

### initialize

    public void initialize(double distance,
                           double zOfsset,
                           boolean fourSides,
                           int steps)

  Sets the camera on initial position. This billboarder creates picture only from two or 4 sides. The parameter `steps` defined the number of slices has to be create at every side of view. To reach an optimum coverage of all parts of the model only odd numbers of slices will be generated. If an even number is given, this will be reduced by one so the number is odd.

  Parameters:
    `distance` - Distance between camera and the origin of the coordinates-system
    `zOfsset` - The z-axis shift of the camera
    `fourSides` - If this is true all 4 sides of the model will be rendered by this. Otherwise only the front and left-side will be rendered.
    `steps` - Odd number of slices for every side of view.

### makeAllNames

    public void makeAllNames()

### makeNames

    protected void makeNames(int stopSide,
                             int stopStep)

### setLayer

    public void setLayer(int visible,
                         int invisible)

  Defined which layer is for the visible and which for the invisible objects. The default-value for visible is 0 and invisible 15.

  Parameters:
    `visible` - The Number of the visible layer in the 3D-view
    `invisible` - The Number of the invisible layer in the 3D-view

### setRunLater

    protected void setRunLater()

  Description copied from class: `Billboarder`
  When a Billboard-Render-Thread is finished, the implementation of this method will be executed later.

  Specified by:
    `setRunLater` in class `Billboarder`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD